# Gio::FileIcon Class Reference

FileIcon specifies an icon by pointing to an image file to be used as icon. More...

Inherits Glib::Object, and Gio::LoadableIcon.

Collaboration diagram for Gio::FileIcon:
[legend]

List of all members.

## Public Member Functions

virtual | ~FileIcon ()
GFileIcon* | gobj ()
| Provides access to the underlying C GObject.
const GFileIcon* | gobj () const
| Provides access to the underlying C GObject.
GFileIcon* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::RefPtr< File > | get_file ()
| Gets the File associated with the given icon.
Glib::RefPtr< const File > | get_file () const
| Gets the File associated with the given icon.

## Static Public Member Functions

static Glib::RefPtr< FileIcon > | create ()

## Protected Member Functions

| FileIcon ()

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< Gio::FileIcon > | wrap (GFileIcon* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

FileIcon specifies an icon by pointing to an image file to be used as icon.

Since glibmm 2.16:

## Constructor & Destructor Documentation

virtual Gio::FileIcon::~FileIcon | ( |  | ) | `[virtual]`

Gio::FileIcon::FileIcon | ( |  | ) | `[protected]`

## Member Function Documentation

static Glib::RefPtr<FileIcon> Gio::FileIcon::create | ( |  | ) | `[static]`

Glib::RefPtr<const File> Gio::FileIcon::get_file | ( |  | ) | const

Gets the File associated with the given icon.

Returns:
  A File, or `0`.

Glib::RefPtr<File> Gio::FileIcon::get_file | ( |  | ) |

Gets the File associated with the given icon.

Returns:
  A File, or `0`.

const GFileIcon* Gio::FileIcon::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gio::LoadableIcon.

GFileIcon* Gio::FileIcon::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gio::LoadableIcon.

GFileIcon* Gio::FileIcon::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## Friends And Related Function Documentation

Glib::RefPtr< Gio::FileIcon > wrap | ( | GFileIcon * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- giomm/fileicon.h